From a14375f3735f79cb0d6b155a60a51aee3a8d9cd6 Mon Sep 17 00:00:00 2001
From: Takashi Menjo <takashi.menjou.vg@hco.ntt.co.jp>
Date: Wed, 25 Mar 2020 10:20:16 +0900
Subject: [PATCH v3 07/10] Set wal_buffers to the same #pages as WAL segment

---
 src/backend/access/transam/xlog.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index b7d99cacba..777a9e921c 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -4914,10 +4914,10 @@ XLOGShmemSize(void)
 	{
 		char		buf[32];
 
-		snprintf(buf, sizeof(buf), "%d", XLOGChooseNumBuffers());
+		snprintf(buf, sizeof(buf), "%d", wal_segment_size / XLOG_BLCKSZ);
 		SetConfigOption("wal_buffers", buf, PGC_POSTMASTER, PGC_S_OVERRIDE);
 	}
-	Assert(XLOGbuffers > 0);
+	Assert(XLOGbuffers == wal_segment_size / XLOG_BLCKSZ);
 
 	/* XLogCtl */
 	size = sizeof(XLogCtlData);
-- 
2.25.1

